- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_cdot_svm – Manage NetApp cDOT svm

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.11

Why

  Updated modules released with increased functionality

Alternative

  Use na_ontap_svm instead.

## Synopsis

- Create or destroy svm on NetApp cDOT

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3

- Ansible 2.2

- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the ONTAP instance.
name - / required |  | The name of the SVM to manage.
password - / required |  | Password for the specified user. aliases: pass
root_volume - |  | Root volume of the SVM. Required when `state=present`.
root_volume_aggregate - |  | The aggregate on which the root volume will be created. Required when `state=present`.
root_volume_security_style - | Choices: unix ntfs mixed unified | Security Style of the root volume. When specified as part of the vserver-create, this field represents the security style for the Vserver root volume. When specified as part of vserver-get-iter call, this will return the list of matching Vservers. Possible values are 'unix', 'ntfs', 'mixed'. The 'unified' security style, which applies only to Infinite Volumes, cannot be applied to a Vserver's root volume. Valid options are "unix" for NFS, "ntfs" for CIFS, "mixed" for Mixed, "unified" for Unified. Required when `state=present`
state - / required | Choices: present absent | Whether the specified SVM should exist or not.
username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Create SVM
      na_cdot_svm:
        state: present
        name: ansibleVServer
        root_volume: vol1
        root_volume_aggregate: aggr1
        root_volume_security_style: mixed
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module will be removed in version 2.11. [deprecated]

- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.